/* Version-Tag für VCS SCM_Version "$Id themes/generic/html/gus-os6_login.css | Date: 2017-05-09T15:47:29+02:00 | Author: micha.hastrich@gus-group.com | ID: 226ec9f | OPL: 22814 $" */

html,body {
  overflow: hidden;
  width: 100%;
  height: 100%;
  margin: 0px;
  padding: 0px;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 1em;
}

input[type=number]::-webkit-outer-spin-button,
input[type=number]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type=number] {
    -moz-appearance:textfield;
}

.background {
  background: -webkit-linear-gradient(25deg, rgb(255,255,255), rgb(105,190,40) 70%, rgb(105,190,40)); /* For Safari 5.1 to 6.0 */
  background: -o-linear-gradient(25deg, rgb(255,255,255), rgb(105,190,40) 70%, rgb(105,190,40)); /* For Opera 11.1 to 12.0 */
  background: -moz-linear-gradient(25deg, rgb(255,255,255), rgb(105,190,40) 70%, rgb(105,190,40)); /* For Firefox 3.6 to 15 */
  background: linear-gradient(25deg, rgb(255,255,255), rgb(105,190,40) 70%, rgb(105,190,40));
  background-repeat: no-repeat;
  position: relative;
  padding: 0px;
}

.background #backgroundimage {
  height: 100%;
  width: 100%;
  z-index: 0;
  background-image: url(../../../images/login_background_image_os6.svg);
  background-size: 1280px, auto;
  background-repeat: no-repeat;
}

@media (min-width: 700px) {
  .background #logo {
    height: 300px;
    width: 650px;
    top: 0px;
    left: 50px;
    position: absolute;
    background-image: url(../../../images/logo_gus-os_suite.svg);
    background-size: auto 1000px;
    background-repeat: no-repeat;
  }
  #login {
    min-height: 300px;
    width: 600px;
    position: absolute;
    top: 280px;
    left: 50%;
    margin: 0 0 0 -300px;
    background-color: rgba(255, 255, 255, 0.4);
  }
  #version {
    top: 20px;
    color: #AEEC7E;
  }
}

#version {
  position: absolute;
  right: 20px;
  color: #AEEC7E;
}
@media (max-width: 700px) {
  .background #logo {app
    height: 150px;
    width: 325px;
    top: 0px;
    left: 10px;
    position: absolute;
    background-image: url(../../../images/logo_gus-os_suite.svg);
    background-size: auto 500px;
    background-position: -30px -40px;
    background-repeat: no-repeat;
  }
  #login {
    width: 95%;
    position: absolute;
    top: 80px;
    margin: 0px 10px 0px 10px;
    background-color: rgba(255, 255, 255, 0.4);
  }
  #login .head {
    height: 50px !important;
    line-height: 50px !important;
    font-size: 1.2rem !important;
  }
  #login table.loginform {
    padding: 0px !important;
  }
  #login table.loginform td.button input {
    float: left !important;
  }
  #login table.loginform td.control input {
    width: 90% !important;
  }
  #version {
    bottom: 20px;
    color: #000000;
  }
}

#version {
  position: absolute;
  font-size: 1.2rem;
}


#login .head {
  height: 70px;
  width: auto;
  padding-left: 15px;
  line-height: 70px;
  background-color: gray;
  color: white;
  font-size: 1.3rem;
  text-transform: uppercase;
  vertical-align: middle;
}

#login table.loginform {
  width: 100%;
  height: auto;
  padding: 10px;
  border-spacing: 15px;
}
#login table.loginform td.label {
  width: 25%;
  text-align: left;
  vertical-align: middle;
  color: rgb(100, 100, 100);
}
#login table.loginform td.control {
  width: 250px;
}
#login table.loginform td.control input {
  width: 250px;
  height: 25px;
  vertical-align: middle;
  border-style: none;
  font-size: 1rem;
  padding: 5px;
}

#login table.loginform td.button input {
  width: 110px;
  height: 35px;
  vertical-align: middle;
  font-size: 1.1em;
  text-transform: capitalize;
  border-style: none;
  padding: 5px;
  background-color: rgb(105,190,40);
  -webkit-border-radius:3px;
  -moz-border-radius:3px;
  border-radius:3px;
  color: white;
  float: right;
  -webkit-appearance: button;
}

#login table.loginform td.button input:focus {
  outline: 1px dotted #666;
}


#login table.loginform td.button input:hover {
}

div.errorTxt {
  margin: 5px;
  color: #C60C30;
}

/* ------- Loading Animation with progress bar ----------- */

.osLoading {
	background-color: #FFFFFF;

	position: absolute;
	width: 100%;
	z-index: 998;
	opacity: 1;
	filter:alpha(opacity=80);
}

.osLoading .loadingAnimation { 
  overflow: hidden;
  width: 100%;
  heigth: 2px;
}

.progress {
    width: 100%;
    height: 2px;
    background: rgba(105,190,40,1);
    position: absolute;
    animation:fullexpand 2s infinite linear;
    -moz-animation: fullexpand 2s infinite linear;
    -webkit-animation: fullexpand 2s infinite linear;
}

@keyframes fullexpand {
    0%  { width: 0px; }
	100% { width: 100%; }
}
@-moz-keyframes fullexpand {
    0%  { width: 0px; }
	100% { width: 100%; }
}
@-webkit-keyframes fullexpand {
    0%  { width: 0px; }
	100% { width: 100%; }
}